Loading...
Searching...
No Matches
pappso::masschroq::PeptideMeasurementsBase::Measurement Struct Reference

`#include <peptidemeasurementsbase.h>`

## Public Attributes

std::uint8_t | m_charge
pappso::XicCoordSPtr | msp_xicCoord
PeakQualityCategory | m_peakQualityCategory = PeakQualityCategory::nomatch
const PeptideLabel * | mp_peptideLabel
pappso::TracePeakCstSPtr | m_tracePeakSp
pappso::PeptideNaturalIsotopeAverageSp | m_peptideNaturalIsotopeAverageSp

## Detailed Description

the same peptide can be measured multiple times :

- for each charge state
- for each isotopologue One measurement contains :
- a transient chromatogram extraction
- extracted XIC and coordinates
- peak quality : how the detected peak in the chromatogram was chosen

Definition at line 73 of file peptidemeasurementsbase.h.

## Member Data Documentation

## m_charge

std::uint8_t pappso::masschroq::PeptideMeasurementsBase::Measurement::m_charge

Definition at line 75 of file peptidemeasurementsbase.h.

Referenced by pappso::masschroq::CborOutputStream::writeMeasurement().

## m_peakQualityCategory

PeakQualityCategory pappso::masschroq::PeptideMeasurementsBase::Measurement::m_peakQualityCategory = PeakQualityCategory::nomatch

Definition at line 77 of file peptidemeasurementsbase.h.

Referenced by pappso::masschroq::CborOutputStream::writeMeasurement().

## m_peptideNaturalIsotopeAverageSp

pappso::PeptideNaturalIsotopeAverageSp pappso::masschroq::PeptideMeasurementsBase::Measurement::m_peptideNaturalIsotopeAverageSp

Definition at line 80 of file peptidemeasurementsbase.h.

Referenced by pappso::masschroq::CborOutputStream::writeMeasurement().

## m_tracePeakSp

pappso::TracePeakCstSPtr pappso::masschroq::PeptideMeasurementsBase::Measurement::m_tracePeakSp

Definition at line 79 of file peptidemeasurementsbase.h.

Referenced by pappso::masschroq::Peptide::addAlignedPeakMeasurement(), and pappso::masschroq::CborOutputStream::writeMeasurement().

## mp_peptideLabel

const PeptideLabel* pappso::masschroq::PeptideMeasurementsBase::Measurement::mp_peptideLabel

Definition at line 78 of file peptidemeasurementsbase.h.

Referenced by pappso::masschroq::CborOutputStream::writeMeasurement().

## msp_xicCoord

pappso::XicCoordSPtr pappso::masschroq::PeptideMeasurementsBase::Measurement::msp_xicCoord

Definition at line 76 of file peptidemeasurementsbase.h.

Referenced by pappso::masschroq::CborOutputStream::writeMeasurement().

The documentation for this struct was generated from the following file:

- pappsomspp/core/masschroq/peptidemeasurementsbase.h